local myMod = ...

-- Apply building asset processor
myMod:registerAssetProcessor("models/tannery.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

-- Remove grass
myMod:registerPrefabComponent("models/tannery.fbx/Prefab/tannery/buildingPart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {9, 7.5}
})

-- Grounding the building part
myMod:registerPrefabComponent("models/tannery.fbx/Prefab/tannery", {
	DataType = "COMP_GROUNDED"
})

-- Register flag assigner component on the collider's type to 'PLATFORM'

myMod:configurePrefabFlagList("models/tannery.fbx/Prefab/tannery/buildingPart", { "PLATFORM" })