local myMod = ...

-- Register tanner job
myMod:register({
	DataType = "JOB",
	Id = "TANNER",
	JobName = "TANNER_JOB_NAME",
	JobDescription = "TANNER_JOB_DESC",
	IsLockedByDefault = true,
	UseWorkplaceBehavior = true,
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	CharacterSetup = { -- Register tanner setup
		DataType = "CHARACTER_SETUP",
		RightHandObject = {
			DataType = "HAND_OBJECT",
			Model = "PREFAB_TOOL_TAILOR_SCISSORS"
		},
		--WorkAnimation = "SMITHING",
		WalkAnimation = "WALKING",
		IdleAnimation = "SMITHING"
	}
})

myMod:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        "TANNER"
    }
})

myMod:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        "TANNER"
    }
})

myMod:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        "TANNER"
    }
})

myMod:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        "TANNER"
    }
})